- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_resource_pool_facts – Gathers facts about resource pool information

New in version 2.6.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Deprecated in favour of `_info` module.
Alternative: | Use vmware_resource_pool_info instead.

## Synopsis

- This module can be used to gather facts about all resource configuration information.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.5

## Examples

    - name: Gather resource pool facts about all resource pools available
      vmware_resource_pool_facts:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
      register: rp_facts
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
resource_pool_facts list | on success | metadata about resource pool configuration Sample: [{'cpu_allocation_expandable_reservation': False, 'cpu_allocation_limit': 4121, 'cpu_allocation_overhead_limit': None, 'cpu_allocation_reservation': 4121, 'cpu_allocation_shares': 9000, 'cpu_allocation_shares_level': 'custom', 'mem_allocation_expandable_reservation': False, 'mem_allocation_limit': 961, 'mem_allocation_overhead_limit': None, 'mem_allocation_reservation': 961, 'mem_allocation_shares': 9000, 'mem_allocation_shares_level': 'custom', 'name': 'Resources', 'overall_status': 'green', 'owner': 'DC0_H0', 'runtime_cpu_max_usage': 4121, 'runtime_cpu_overall_usage': 0, 'runtime_cpu_reservation_used': 0, 'runtime_cpu_reservation_used_vm': 0, 'runtime_cpu_unreserved_for_pool': 4121, 'runtime_cpu_unreserved_for_vm': 4121, 'runtime_memory_max_usage': 1007681536, 'runtime_memory_overall_usage': 0, 'runtime_memory_reservation_used': 0, 'runtime_memory_reservation_used_vm': 0, 'runtime_memory_unreserved_for_pool': 1007681536, 'runtime_memory_unreserved_for_vm': 1007681536}]

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.